dsconfig get-external-changelog-domain-prop
Prev | dsconfig Subcommands Reference | Next

## Name

dsconfig get-external-changelog-domain-prop — Shows External Changelog Domain properties

## Synopsis

`dsconfig get-external-changelog-domain-prop` {options}

## Description

Shows External Changelog Domain properties.

## Options

The dsconfig get-external-changelog-domain-prop command takes the following options:

`--provider-name {name}`

  The name of the Replication Synchronization Provider.

  External Changelog Domain properties depend on the External Changelog Domain type, which depends on the {name} you provide.

  By default, OpenDJ directory server supports the following External Changelog Domain types:

  external-changelog-domain

    Default {name}: External Changelog Domain

    Enabled by default: true

    See the section called “External Changelog Domain” for the properties of this External Changelog Domain type.

`--domain-name {name}`

  The name of the Replication Domain.

  External Changelog Domain properties depend on the External Changelog Domain type, which depends on the {name} you provide.

  By default, OpenDJ directory server supports the following External Changelog Domain types:

  external-changelog-domain

    Default {name}: External Changelog Domain

    Enabled by default: true

    See the section called “External Changelog Domain” for the properties of this External Changelog Domain type.

`--property {property}`

  The name of a property to be displayed.

  External Changelog Domain properties depend on the External Changelog Domain type, which depends on the {property} you provide.

  By default, OpenDJ directory server supports the following External Changelog Domain types:

  external-changelog-domain

    Default {property}: External Changelog Domain

    Enabled by default: true

    See the section called “External Changelog Domain” for the properties of this External Changelog Domain type.

`-E | --record`

  Modifies the display output to show one property value per line.

  External Changelog Domain properties depend on the External Changelog Domain type, which depends on the null you provide.

  By default, OpenDJ directory server supports the following External Changelog Domain types:

  external-changelog-domain

    Default null: External Changelog Domain

    Enabled by default: true

    See the section called “External Changelog Domain” for the properties of this External Changelog Domain type.

`-z | --unit-size {unit}`

  Display size data using the specified unit. The value for UNIT can be one of b, kb, mb, gb, or tb (bytes, kilobytes, megabytes, gigabytes, or terabytes).

  External Changelog Domain properties depend on the External Changelog Domain type, which depends on the {unit} you provide.

  By default, OpenDJ directory server supports the following External Changelog Domain types:

  external-changelog-domain

    Default {unit}: External Changelog Domain

    Enabled by default: true

    See the section called “External Changelog Domain” for the properties of this External Changelog Domain type.

`-m | --unit-time {unit}`

  Display time data using the specified unit. The value for UNIT can be one of ms, s, m, h, d, or w (milliseconds, seconds, minutes, hours, days, or weeks).

  External Changelog Domain properties depend on the External Changelog Domain type, which depends on the {unit} you provide.

  By default, OpenDJ directory server supports the following External Changelog Domain types:

  external-changelog-domain

    Default {unit}: External Changelog Domain

    Enabled by default: true

    See the section called “External Changelog Domain” for the properties of this External Changelog Domain type.

## External Changelog Domain

External Changelog Domains of type external-changelog-domain have the following properties:

ecl-include
  Description

    Specifies a list of attributes which should be published with every change log entry, regardless of whether the attribute itself has changed. The list of attributes may include wild cards such as "*" and "+" as well as object class references prefixed with an ampersand, for example "@person". The included attributes will be published using the "includedAttributes" operational attribute as a single LDIF value rather like the "changes" attribute. For modify and modifyDN operations the included attributes will be taken from the entry before any changes were applied.

  Default Value

    None

  Allowed Values

    A String

  Multi-valued

    Yes

  Required

    No

  Admin Action Required

    None

  Advanced Property

    No

  Read-only

    No

ecl-include-for-deletes
  Description

    Specifies a list of attributes which should be published with every delete operation change log entry, in addition to those specified by the "ecl-include" property. This property provides a means for applications to archive entries after they have been deleted. See the description of the "ecl-include" property for further information about how the included attributes are published.

  Default Value

    None

  Allowed Values

    A String

  Multi-valued

    Yes

  Required

    No

  Admin Action Required

    None

  Advanced Property

    No

  Read-only

    No

enabled
  Description

    Indicates whether the External Changelog Domain is enabled. To enable computing the change numbers, set the Replication Server's "ds-cfg-compute-change-number" property to true.

  Default Value

    None

  Allowed Values

    true

    false

  Multi-valued

    No

  Required

    Yes

  Admin Action Required

    None

  Advanced Property

    No

  Read-only

    No

Prev | Up | Next
dsconfig get-extended-operation-handler-prop | Home | dsconfig get-global-configuration-prop